include $(MODULE_INIT)

OUTPUTS_DIR := external/freertos/FreeRTOS

MODULE_INCLUDES := \
				include \
				../FreeRTOS-Plus/FreeRTOS-Plus-CLI

ifeq ($(TOOL_CHAIN), GCC_ARM)
ifeq ($(PLATFORM_NAME), QCA4020)
MODULE_INCLUDES += portable/GCC/ARM_CM4F
else
MODULE_INCLUDES += portable/GCC/ARM_CM4
endif
else
MODULE_INCLUDES += portable/IAR/ARM_CM4
endif

ifeq ($(PLATFORM_NAME), QCA4020)
PRJ_CC_FLAGS += -fno-inline-functions -fno-zero-initialized-in-bss -fno-short-enums -mapcs-frame
else
MODULE_CC_FLAGS := -DTICKLESS_PM -DUSE_TIMER
endif
CC_SRCS := \
			croutine.c \
			event_groups.c \
			list.c \
			queue.c \
			stream_buffer.c \
			tasks.c \
			timers.c \
			../FreeRTOS-Plus/FreeRTOS-Plus-CLI/FreeRTOS_CLI.c

ifeq ($(TOOL_CHAIN), GCC_ARM)
ifeq ($(PRODUCT_NAME),$(filter $(PRODUCT_NAME), MTK_DEMO))
CC_SRCS += \
			portable/MemMang/heap_4.c \
			portable/GCC/ARM_CM4F/port.c \
			portable/GCC/mt7686/port_tick.c
else
ifeq ($(PLATFORM_NAME), QCA4020)
CC_SRCS +=  portable/GCC/ARM_CM4F/port.c \
			portable/MemMang/heap_4.c
else
CC_SRCS += \
			portable/GCC/ARM_CM4/port.c \
			portable/MemMang/heap_5.c
endif
endif
else
ASM_SRCS := portable/IAR/ARM_CM4/portasm.s

CC_SRCS += 	portable/IAR/ARM_CM4/port.c

ifeq ($(PRODUCT_NAME),$(filter $(PRODUCT_NAME), DBV3 CAMV3))
CC_SRCS += 	portable/MemMang/heap_2.c
endif

ifeq ($(PRODUCT_NAME),$(filter $(PRODUCT_NAME), DBV4 CAMV4 Lunar Portal GrahamCracker))
CC_SRCS += 	portable/MemMang/heap_4.c
endif
endif

LIB_TARGET := freertos.a

include $(MODULE_COMPILE)